## python3-simple-frames 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25)
project(python_simple_frames)

set(CMAKE_CXX_STANDARD 14)

SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/config" )

find_package(PkgConfig)
find_package(FrameCPP REQUIRED)
find_package(Python COMPONENTS Interpreter Development)
find_package(pybind11 CONFIG)

# generate relative python install directories
get_filename_component(Python_PKG_ARCH_DIR ${Python_SITEARCH} NAME)
get_filename_component(Python_ARCH_BASE_DIR ${Python_SITEARCH} DIRECTORY)
get_filename_component(Python_PYTHON_ARCH_DIR ${Python_ARCH_BASE_DIR} NAME)
SET(Python_ARCH_INSTALL_DIR lib/${Python_PYTHON_ARCH_DIR}/${Python_PKG_ARCH_DIR})

MESSAGE(STATUS "Python version: ${Python_VERSION}")
MESSAGE(STATUS "Python site arch: ${Python_SITEARCH}")
MESSAGE(STATUS "Python arch install dir: ${Python_ARCH_INSTALL_DIR}")
MESSAGE(STATUS "Python include dirs: ${Python_INCLUDE_DIRS}")
MESSAGE(STATUS "Python libraries: ${Python_LIBRARIES}")
MESSAGE(STATUS "Python library dirs: ${Python_LIBRARY_DIRS}")
MESSAGE(STATUS "Python sitelib: ${Python_SITELIB}")
MESSAGE(STATUS "Python development found: ${Python_Development_FOUND}")

pybind11_add_module(simple_frames MODULE simple_frames.cc)
target_link_libraries(simple_frames PRIVATE ldastools::framecpp)

install(TARGETS simple_frames DESTINATION "${Python_ARCH_INSTALL_DIR}")

=== debian/changelog ===
python3-simple-frames (0.0.2-1.x202509151853e61c92e343) UNRELEASED; urgency=medium

  * CI Build for testing only

 -- root <root@33450fcd11d9>  Mon, 15 Sep 2025 18:53:00 +0000

python3-simple-frames (0.0.2-1) unstable; urgency=medium

  * Bug fix on the bindings.  Update the pybind11 interface definition to keep
    data from being freed after use.

 -- Jonathan Hanks <jhanks@caltech.edu>  Mon, 15 Sep 2025 11:51:19 -0700

python3-simple-frames (0.0.1-1) unstable; urgency=medium

  * Initial release of python3-simple-frames
  * A simple wrapper around FrameCPP to read data

 -- Jonathan Hanks <jhanks@caltech.edu>  Thu, 12 Sep 2025 00:00:00 +0000

=== debian/control ===
Source: python3-simple-frames
Section: python
Priority: optional
Maintainer: Jonathan Hanks <jhanks@caltech.edu>
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkg-config,
               python3-dev,
               libpython3-dev,
               pybind11-dev,
               ldas-tools-framecpp-dev,
               python3-setuptools,
               dh-python
Standards-Version: 4.6.2
Homepage: https://git.ligo.org/jonathan-hanks/python3-simple-frames
Vcs-Git: https://git.ligo.org/jonathan-hanks/python3-simple-frames.git
Vcs-Browser: https://git.ligo.org/jonathan-hanks/python3-simple-frames

Package: python3-simple-frames
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: A simple wrapper around FrameCPP to read data
 A simple wrapper around FrameCPP to read data
 .
 This provides basic capabilities to read one or more channels at a time from a given
 frame file.
 .
 In the future write capabilities may be added

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
